Reader (ZXing 3.5.0 API)

com.google.zxing

## Interface Reader

- All Known Implementing Classes:
    AbstractRSSReader, AztecReader, ByQuadrantReader, CodaBarReader, Code128Reader, Code39Reader, Code93Reader, DataMatrixReader, EAN13Reader, EAN8Reader, ITFReader, MaxiCodeReader, MultiFormatOneDReader, MultiFormatReader, MultiFormatUPCEANReader, OneDReader, PDF417Reader, QRCodeMultiReader, QRCodeReader, RSS14Reader, RSSExpandedReader, UPCAReader, UPCEANReader, UPCEReader

      public interface Reader

  Implementations of this interface can decode an image of a barcode in some format into the String it encodes. For example, `QRCodeReader` can decode a QR code. The decoder may optionally receive hints from the caller which may help it decode more quickly or accurately. See `MultiFormatReader`, which attempts to determine what barcode format is present within the image as well, and then decodes it accordingly.
  Author:
    Sean Owen, dswitkin@google.com (Daniel Switkin)

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `Result` | `decode(BinaryBitmap image)` Locates and decodes a barcode in some format within an image.
    `Result` | `decode(BinaryBitmap image, Map<DecodeHintType,?> hints)` Locates and decodes a barcode in some format within an image.
    `void` | `reset()` Resets any internal state the implementation has after a decode, to prepare it for reuse.

- - ### Method Detail

    - #### decode

          Result decode(BinaryBitmap image)
                 throws NotFoundException,
                        ChecksumException,
                        FormatException

      Locates and decodes a barcode in some format within an image.
      Parameters:
        `image` - image of barcode to decode
      Returns:
        String which the barcode encodes
      Throws:
        `NotFoundException` - if no potential barcode is found
        `ChecksumException` - if a potential barcode is found but does not pass its checksum
        `FormatException` - if a potential barcode is found but format is invalid

    - #### decode

          Result decode(BinaryBitmap image,
                        Map<DecodeHintType,?> hints)
                 throws NotFoundException,
                        ChecksumException,
                        FormatException

      Locates and decodes a barcode in some format within an image. This method also accepts hints, each possibly associated to some data, which may help the implementation decode.
      Parameters:
        `image` - image of barcode to decode
        `hints` - passed as a `Map` from `DecodeHintType` to arbitrary data. The meaning of the data depends upon the hint type. The implementation may or may not do anything with these hints.
      Returns:
        String which the barcode encodes
      Throws:
        `NotFoundException` - if no potential barcode is found
        `ChecksumException` - if a potential barcode is found but does not pass its checksum
        `FormatException` - if a potential barcode is found but format is invalid

    - #### reset

          void reset()

      Resets any internal state the implementation has after a decode, to prepare it for reuse.

Copyright © 2007–2022. All rights reserved.